//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.2.4-2 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2015.06.09 at 11:11:31 AM CEST 
//


package net.ihe.gazelle.tempmodel.org.decor.art.model;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for LanguageCodeEnum.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="LanguageCodeEnum"&gt;
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}language"&gt;
 *     &lt;enumeration value="en-US"/&gt;
 *     &lt;enumeration value="nl-NL"/&gt;
 *     &lt;enumeration value="de-DE"/&gt;
 *   &lt;/restriction&gt;
 * &lt;/simpleType&gt;
 * </pre>
 * 
 */
@XmlType(name = "LanguageCodeEnum")
@XmlEnum
public enum LanguageCodeEnum {


    /**
     * en-US
     * 
     */
    @XmlEnumValue("en-US")
    EN_US("en-US"),

    /**
     * nl-NL
     * 
     */
    @XmlEnumValue("nl-NL")
    NL_NL("nl-NL"),

    /**
     * de-DE
     * 
     */
    @XmlEnumValue("de-DE")
    DE_DE("de-DE");
    private final String value;

    LanguageCodeEnum(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static LanguageCodeEnum fromValue(String v) {
        for (LanguageCodeEnum c: LanguageCodeEnum.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
